<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="ffbb9fb5d2196991" weblate-flags="read-only, safe-html, strict-same">
        <source>= `array` A &lt;&lt;ref_value&gt;&gt; stores an instance of &lt;&lt;ref_array&gt;&gt; as the underlying representation for a JSON array. Instances of the __array__ type function identically to a {std_vector} of &lt;&lt;ref_value&gt;&gt;. Additionally, all values inserted into the container will use the same &lt;&lt;ref_storage_ptr&gt;&gt; as the container itself.</source>
        <target state="translated">= `array` A &lt;&lt;ref_value&gt;&gt; stores an instance of &lt;&lt;ref_array&gt;&gt; as the underlying representation for a JSON array. Instances of the __array__ type function identically to a {std_vector} of &lt;&lt;ref_value&gt;&gt;. Additionally, all values inserted into the container will use the same &lt;&lt;ref_storage_ptr&gt;&gt; as the container itself.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">12</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2f90d63c72a13c23" weblate-flags="read-only, safe-html, strict-same">
        <source>An empty array may be constructed without incurring any memory allocations using the &lt;&lt;default_memory_resource,default memory resource&gt;&gt;. A &lt;&lt;ref_storage_ptr&gt;&gt; can also be explicitly specified:</source>
        <target state="translated">An empty array may be constructed without incurring any memory allocations using the &lt;&lt;default_memory_resource,default memory resource&gt;&gt;. A &lt;&lt;ref_storage_ptr&gt;&gt; can also be explicitly specified:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">19</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="be5e9d413420c8a6" weblate-flags="read-only, safe-html, strict-same">
        <source>Initializer lists can be used to construct objects with initial contents. These constructors may allocate memory and throw:</source>
        <target state="translated">Initializer lists can be used to construct objects with initial contents. These constructors may allocate memory and throw:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">28</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0f4e6cab57f4cbd6" weblate-flags="read-only, safe-html, strict-same">
        <source>Alternatively, elements may be inserted after construction:</source>
        <target state="translated">Alternatively, elements may be inserted after construction:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="99455ed9256c2d75" weblate-flags="read-only, safe-html, strict-same">
        <source>Similar to its standard library counterpart, elements may be accessed directly by their 0-based index with bounds checking using &lt;&lt;ref_array_at&gt;&gt;, or without bounds checking using &lt;&lt;ref_array_operator_lb_rb&gt;&gt;:</source>
        <target state="translated">Similar to its standard library counterpart, elements may be accessed directly by their 0-based index with bounds checking using &lt;&lt;ref_array_at&gt;&gt;, or without bounds checking using &lt;&lt;ref_array_operator_lb_rb&gt;&gt;:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">43</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b8d44e51a149169e" weblate-flags="read-only, safe-html, strict-same">
        <source>For the complete listing of all available member functions and nested types, see the reference page for &lt;&lt;ref_array&gt;&gt;.</source>
        <target state="translated">For the complete listing of all available member functions and nested types, see the reference page for &lt;&lt;ref_array&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">52</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="059c92545c3dacd3" weblate-flags="read-only, safe-html, strict-same">
        <source>Formatted Output</source>
        <target state="translated">Formatted Output</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">55</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="351819d3a2d14308" weblate-flags="read-only, safe-html, strict-same">
        <source>When an &lt;&lt;ref_array&gt;&gt; is formatted to a {std_ostream}, the result is a valid JSON. That is, the array will be output with square brackets and the comma separated list of values, as per the JSON specification.</source>
        <target state="translated">When an &lt;&lt;ref_array&gt;&gt; is formatted to a {std_ostream}, the result is a valid JSON. That is, the array will be output with square brackets and the comma separated list of values, as per the JSON specification.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">57</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
